export enum StatusEnum {
    Normal = 1,
    Stop = 0
}
export enum DataFlowEnum {
    DEFAULT = 0,
    SPECIFIC = 1
}
export enum isDisabledEnum {
    YES = 1,
    NO = 0
}
export enum converStatusEnum {
    INTENTION = 0, //有意向
    UN_RECEIVED = 1, //待领取
    CONVERTED_PROCESS = 2, //转化中
    ADD_RELATION = 3, //已添加
    EXCEPTION = 4, //异常待处理
    CONVERTED = 5, //已成交
    FAILED = 6 //已战败
}
export const conversionMap = {
    [converStatusEnum.INTENTION]: '有意向',
    [converStatusEnum.UN_RECEIVED]: '待领取',
    [converStatusEnum.CONVERTED_PROCESS]: '转化中',
    [converStatusEnum.ADD_RELATION]: '已添加',
    [converStatusEnum.EXCEPTION]: '异常待处理',
    [converStatusEnum.CONVERTED]: '已成交',
    [converStatusEnum.FAILED]: '已战败'
}
export const conversionOptions = [
    { label: '待领取', value: converStatusEnum.UN_RECEIVED },
    { label: '转化中', value: converStatusEnum.CONVERTED_PROCESS },
    { label: '已添加', value: converStatusEnum.ADD_RELATION },
    { label: '异常待处理', value: converStatusEnum.EXCEPTION },
    { label: '已成交', value: converStatusEnum.CONVERTED },
    { label: '已战败', value: converStatusEnum.FAILED }
]

export enum CluseSourceEnum {
    OFFLINE_LIST = 0
}
export const ClueSourceMap = {
    [CluseSourceEnum.OFFLINE_LIST]: '线下列表'
}
export enum stateEnum {
    ADD_RELATION = 0, //账号已添加
    NO_EXIST = 1, //账号不存在
    UN_PASS = 2 //账号未通过
}
export const stateMap: Record<stateEnum, string> = {
    [stateEnum.ADD_RELATION]: '账号已添加',
    [stateEnum.NO_EXIST]: '账号不存在',
    [stateEnum.UN_PASS]: '账号未通过'
}
export enum ConverSuccessEnum {
    YES = 1,
    NO = 0
}
export const conversitionMap: Record<ConverSuccessEnum, string> = {
    [ConverSuccessEnum.YES]: '是',
    [ConverSuccessEnum.NO]: '否'
}
